summaryrefslogtreecommitdiff
path: root/scripts/newemacs
diff options
context:
space:
mode:
authorJack Jamison <jackqjamison@gmail.com>2025-11-08 17:09:47 -0500
committerJack Jamison <jackqjamison@gmail.com>2025-11-08 17:09:47 -0500
commit53b5c6f41f9139c67eb347b5f7b9c35477ab6650 (patch)
treea995f1bc06ca57fe113b8dcd71b6fdae4b7aa1a9 /scripts/newemacs
parenta1995974779801c8743076479b04d6f11a94e836 (diff)
emacs scripts and vterm improvements
Diffstat (limited to 'scripts/newemacs')
-rwxr-xr-xscripts/newemacs14
1 files changed, 14 insertions, 0 deletions
diff --git a/scripts/newemacs b/scripts/newemacs
new file mode 100755
index 0000000..6b7052c
--- /dev/null
+++ b/scripts/newemacs
@@ -0,0 +1,14 @@
+#!/bin/sh
+project_name=$(swenu -coil 10 -p "New Workspace:")
+if [ $? -ne 0 ]; then
+ exit 1
+fi
+
+project_path=$(getprojects | swenu -coil 10 -p "Directory:" -s "$project_name")
+
+emacs --daemon="$project_name"
+if [ -z "$project_path" ]; then
+ emacsclient -c -s "$project_name"
+else
+ emacsclient -c -s "$project_name" -e "(dired \"$project_path\")"
+fi